#
# spec file for package xfce4-panel-plugin-indicator
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name   xfce4-indicator-plugin
%define _version 2.4
Name:           xfce4-panel-plugin-indicator
Version:        2.4.1
Release:        1.8
Summary:        Plugin to display information from applications in the Xfce panel
License:        GPL-2.0-or-later
Group:          System/GUI/Other
URL:            https://docs.xfce.org/panel-plugins/xfce4-indicator-plugin
Source:         https://archive.xfce.org/src/panel-plugins/%{_name}/%{_version}/%{_name}-%{version}.tar.bz2
# PATCH-FEATURE-OPENSUSE xfce4-indicator-plugin-ayatana-indicator.patch -- Use Ayatana Indicators instead of Ubuntu ones.
Patch0:         xfce4-indicator-plugin-ayatana-indicator.patch
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  xfce4-dev-tools
BuildRequires:  xfce4-panel-devel >= 4.11.0
BuildRequires:  pkgconfig(ayatana-indicator3-0.4) >= 0.6.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.18.0
BuildRequires:  pkgconfig(libayatana-ido3-0.4) >= 0.4.0
BuildRequires:  pkgconfig(libxfce4ui-2) >= 4.11.0
BuildRequires:  pkgconfig(libxfce4util-1.0) >= 4.9.0
BuildRequires:  pkgconfig(libxfconf-0) >= 4.6.0
Requires:       xfce4-panel >= 4.11.0
Provides:       ayatana-indicator-renderer
%lang_package

%description
A small plugin to display information from various applications
consistently in the Xfce panel as described in
Ubuntu's MessagingMenu design specification.

%prep
%autosetup -n %{_name}-%{version} -p1

%build
xdt-autogen
%configure
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{_name}

%files
%license COPYING*
%doc AUTHORS NEWS README.md
%{_libdir}/xfce4/panel/plugins/libindicator-plugin.so
%{_datadir}/xfce4/panel/plugins/indicator.desktop
%{_datadir}/icons/hicolor/*/apps/%{_name}.*

%files lang -f %{_name}.lang

%changelog
* Sun Jan  9 2022 Alexei Sorokin <sor.alexei@meowr.ru>
- Update to version 2.4.1:
  * Remove the placeholder "No Indicators" button.
  * Fix compilation warnings.
  * autotools: Some updates.
  * Update translations.
* Sat Nov 20 2021 Alexei Sorokin <sor.alexei@meowr.ru>
- Update to version 2.4.0:
  * Fix build with xfce4-panel 4.16+.
  * Improved spacing, drop deprecated widget properties.
  * Drop dependency to exo-1.
  * Switch foreign automake mode.
  * Update translations.
- Add xfce4-indicator-plugin-ayatana-indicator.patch: Use
  Ayatana Indicators instead of Ubuntu ones.
* Mon Mar 12 2018 sor.alexei@meowr.ru
- Update to version 2.3.4:
  * Bump the GTK+ version requirement to 3.18, remove deprecations.
  * Display a tooltip for indicators (bxo#12417).
  * Make sure the "clear indicators" dialogue works with
    libxfce4ui-4.13.x.
  * Fix a IT_PROG_INTLTOOL warning.
  * Compilation fixes for xfconf-4.13.
  * Fixed bugs exposed by xfconf-4.13.
  * Add an option to display indicators squared.
  * Fix wrong defaults for config.
  * Don't display horizontal scroll within treeview.
* Thu Jun  9 2016 sor.alexei@meowr.ru
- Provide indicator-renderer.
* Sat Oct 10 2015 sor.alexei@meowr.ru
- Initial package.
